org.apache.velocity.tools.view

## Class UiDependencyTool.GroupRule

- java.lang.Object
- - org.apache.commons.digester3.Rule
  - - org.apache.velocity.tools.view.UiDependencyTool.GroupRule

Enclosing class:
  UiDependencyTool

    protected static class UiDependencyTool.GroupRule
    extends org.apache.commons.digester3.Rule

NOTE: This class may change or disappear w/o warning; don't depend on it unless you're willing to update your code whenever this changes.

### Constructor Summary

Constructors
`protected` `GroupRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin(String ns, String el, Attributes attributes)`
`void` `end(String ns, String el)`

### Methods inherited from class org.apache.commons.digester3.Rule

`body, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupRule

    protected GroupRule()

### Method Detail

#### begin

    public void begin(String ns,
                      String el,
                      Attributes attributes)
               throws Exception

Overrides:
  `begin` in class `org.apache.commons.digester3.Rule`
Throws:
  `Exception`

#### end

    public void end(String ns,
                    String el)
             throws Exception

Overrides:
  `end` in class `org.apache.commons.digester3.Rule`
Throws:
  `Exception`